/*
 * unix domain connect to nonexistent
 */

#include <sys/socket.h>
#include <sys/un.h>
#include <string.h>
#include <unistd.h>

int main(void)
{
	int s = socket(AF_UNIX, SOCK_STREAM, 0);
	if (s >= 0) {
		struct sockaddr_un addr;
		memset(&addr, 0, sizeof addr);
		addr.sun_family = AF_UNIX;
		strncpy(addr.sun_path, "/tmp/pandora_t059_noexist.sock",
		        sizeof(addr.sun_path) - 1);
		connect(s, (struct sockaddr *)&addr, sizeof addr);
		close(s);
	}
	return 0;
}
